Saltar al contenido

Obtener tarifa

Solicitud

Obtiene tarifas de envío para un paquete y una dirección determinados.
Límite de tasa: 600 solicitudes por minuto.

Seguridad
ApiTokenAuth
Cuerpoapplication/jsonrequerido
request_idstring

Identificador único de esta solicitud de API. Se utiliza para el rastreo, la depuración y la resolución de problemas. Debe ser una cadena de hasta 64 caracteres.

Ejemplo:"req_20251024_abcd1234ef567890"
carrierobject

Información del transportista

fromobjectrequerido

Dirección del remitente

toobjectrequerido

Dirección del destinatario

shipmentsArray of objectsrequerido

Lista de envíos

orderobject

Información del pedido

optionsobject

Opciones de envío adicionales

recipient_tax_idsArray of objects

Información fiscal del destinatario

POST
/api/rates/list
curl -i -X POST \
  'https://api.shipsaving.com/api/rates/list?api_token=YOUR_API_KEY_HERE' \
  -H 'Content-Type: application/json' \
  -d '{
    "request_id": "req_20251024_abcd1234ef567890",
    "carrier": {
      "carrier_token": "ca_36f49ebbe91d4006a6583e17ceeec500"
    },
    "from": {
      "name": "full name",
      "company": "company name",
      "email": "xxx@gmail.com",
      "phone": 1237771234,
      "street": "xxx Grand Ave",
      "street2": "Apt 5B",
      "city": "Los Angeles",
      "state": "CA",
      "zip": 90018,
      "country": "US"
    },
    "to": {
      "name": "full name",
      "company": "company name",
      "email": "xxx@gmail.com",
      "phone": 1237771234,
      "street": "xxx Grand Ave",
      "street2": "Apt 5B",
      "city": "Los Angeles",
      "state": "CA",
      "zip": 90018,
      "country": "US",
      "residential": true
    },
    "shipments": [
      {
        "length": 6,
        "width": 6,
        "height": 6,
        "weight": 1,
        "packages": [
          "usps_small_flat_rate_box"
        ],
        "insurance_amount": 120,
        "custom_print1": "custom print1",
        "custom_print2": "custom print2",
        "contents": [
          {
            "weight": 1,
            "description": "T-shirt",
            "quantity": 2,
            "value": 29.99,
            "hs_tariff_number": "610910",
            "origin_country": "US"
          }
        ]
      }
    ],
    "order": {
      "warehouse_name": "WH",
      "store_name": "string",
      "order_number": "string",
      "status": "awaiting",
      "service_type": "usps_ground_advantage",
      "signature": "NO_SIGNATURE",
      "insurance_provider": "SHIPSURANCE",
      "contents_type": "GIFT",
      "non_delivery_option": "RETURN",
      "eel_pfc_type": "ITN",
      "eel_pfc_code": "X20250627012345",
      "tax_ids": [
        {
          "tax_id_type": "TIN",
          "tax_id_number": "string",
          "tax_id_country": "US"
        }
      ]
    },
    "options": {
      "ship_date": "2024-02-07T10:55:56-08:00",
      "require_saturday_delivery": false,
      "require_hazmat": false,
      "hazmat_code": "usps_hazmat_820",
      "label_type": "png",
      "require_qr_code": false
    },
    "recipient_tax_ids": [
      {
        "tax_id_type": "TIN",
        "tax_id_number": "string"
      }
    ]
  }'

Respuestas

Lista de tarifas obtenida correctamente

Cuerpoapplication/json
ratesArray of objects

Lista de tarifas de envío

Response
{ "rates": [ { … } ] }